## mutter 3.28.4

=== debian/changelog ===
mutter (3.28.4-0ubuntu18.04.2) bionic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p/screen-Destroy-window-actors-after-windows-while-unmanagi.patch,
    d/p/screen-Unset-the-active-workspace-and-remove-workspaces-o.patch:
    - Destroy window actors after windows while unmanaging compositor
      (LP: #1832869)
  * d/p/window-Emit-an-error-and-return-when-trying-to-activate-a.patch:
    - window: Emit an error and return when trying to activate an unmanaged
      (LP: #1827401)
  * d/p/stack-Add-a-function-to-get-a-sorted-list-of-focus-candid.patch,
    d/p/test-runner-Add-assert_focused-command.patch,
    d/p/test-runner-Add-dispatch-command.patch,
    d/p/test-runner-Add-sleep-command.patch,
    d/p/tests-Add-accept_focus-command-to-runner-and-client.patch,
    d/p/tests-Add-can_take_focus-command-to-runner-and-client.patch,
    d/p/tests-Verify-focused-window-in-closed-transient-tests.patch,
    d/p/tests-stacking-Add-tests-with-no-input-and-no-take-focus-.patch,
    d/p/window-x11-Accept-any-focusable-window-as-fallback-focus.patch,
    d/p/window-x11-Don-t-double-check-for-unmanaging-windows.patch,
    d/p/window-x11-Focus-the-default-window-with-delay-while-wait.patch,
    d/p/window-x11-Use-any-focusable-window-as-fallback-delayed-f.patch,
    d/p/window-x11-Focus-a-window-in-the-active-workspace-as-take.patch,
    d/p/workspace-Focus-only-ancestors-that-are-focusable.patch:
    - Workspace: Take-Input windows focus fixes (LP: #1791574)
  * debian/libmutter-2-0.symbols: Update with new symbols

  [ Iain Lane ]
  * debian/libmutter-2-0.symbols: Add a tilde. These were added in an Ubuntu
    revision, so they should cause dependencies on the full version - but we
    add a tilde in case of backports.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 09 Jul 2019 17:03:10 +0100

mutter (3.28.4-0ubuntu18.04.1) bionic; urgency=medium

  * New upstream release:
    - Implement keycode remap to keysyms on virtual key devices (LP: #1827029)
  * d/p/monitor-manager-Don-t-use-switch-config-when-ensuring-con.patch,
    d/p/monitor-manager-use-MonitorsConfig-to-track-switch_config.patch:
    - Ensure switch display mode is cyclic (LP: #1772811)

  [ Daniel van Vugt ]
  * d/p/lp1763892-a-renderer-native-Add-hardware-presentation-timing.patch,
    d/p/lp1763892-b-renderer-native-Advertise-_FEATURE_SWAP_THROTTLE.patch:
    - Add support for high frame rate displays (LP: #1763892)
  * d/p/clutter-Smooth-out-master-clock-to-smooth-visuals.patch:
    - Dropped

  [ Iain Lane ]
  * Update symbols file for *_switch_config.
    These are added as a backport in this update. They are available in
    subsequent releases (so generated deps should keep working fine).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 May 2019 18:09:56 +0100

mutter (3.28.3+git20190124-0ubuntu18.04.2) bionic; urgency=medium

  * control: Add Breaks on budgie-desktop verions broken by this upload.
    budgie-desktop needs a fix in 10.4+git20171031.10.g9f71bb8-1.2ubuntu1.2
    for compatibility with this mutter.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 17 Apr 2019 11:35:51 +0100

mutter (3.28.3+git20190124-0ubuntu18.04.1) bionic; urgency=medium

  * New upstream git snapshot based on 3.28.3 plus commits up to 4af8d9d47
    (LP: #1811900)
    - Fix crash in dual monitor setup and gdm activation (LP: #1790525,
      LP: #1795774)
    - Make possible to launch gnome-shell in wayland using nvidia and EGLDevice
      backend (LP: #1805444)
  * debian/libmutter-2-0.symbols: Add new symbols
  * d/p/gpu-kms-Don-t-crash-if-drmModeGetResources-returns-N.patch,
    d/p/native-gpu-Handle-drmModeSetCrtc-failing-gracefully.patch,
    d/p/monitor-manager-Filter-out-low-screen-resolutions.patch,
    d/p/window-wayland-Always-update-monitor-for-non-user-ops.patch,
    d/p/window-Don-t-refuse-to-move-focus-to-the-grab-window.patch,
    d/p/window-Explicitly-exclude-unmanaging-window-from-focus-ag.patch,
    d/p/monitor-Use-current-monitor-mode-to-check-whether-active.patch,
    d/p/core-Return-1-if-meta_window_get_monitor-is-called-on-an-.patch,
    d/p/renderer-native-Fallback-to-non-planar-API-if-gbm_bo_get_.patch,
    d/p/clutter-x11-Implement-keycode-lookup-from-keysyms-on-virt.patch,
    d/p/clutter-Do-not-latch-modifiers-on-modifier-keys.patch:
    - Removed as applied upstream
  * d/p/clutter-Fix-offscreen-effect-painting-of-clones.patch:
    - Fix offscreen-effect painting of clones in zoom mode (LP: #1767648,
      LP: #1779615)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Jan 2019 17:50:33 +0000

mutter (3.28.3-2~ubuntu18.04.2) bionic; urgency=medium

  * d/p/renderer-native-Fallback-to-non-planar-API-if-gbm_bo_get_.patch:
    - Create back buffers in early intel GPU generations (LP: #1727356)
  * d/p/clutter-x11-Implement-keycode-lookup-from-keysyms-on-virt.patch,
    d/p/clutter-Do-not-latch-modifiers-on-modifier-keys.patch
    - Fix typing capital letters when using OSD keyboard (LP: #1730211)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 31 Oct 2018 12:19:19 +0000

mutter (3.28.3-2~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport from unstable to bionic

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 03 Aug 2018 05:20:10 +0100

mutter (3.28.3-2) unstable; urgency=medium

  * Team upload

  [ Iain Lane ]
  * debian/gbp.conf: Set the upstream branch to upstream/3.28.x, since we've
    branched for experimental now.

  [ Marco Trevisan (Treviño) ]
  * d/p/native-gpu-Handle-drmModeSetCrtc-failing-gracefully.patch:
    - Avoid crashing when warning about wrongly set crtc mode
      (LP: #1754949)
  * d/p/gpu-kms-Don-t-crash-if-drmModeGetResources-returns-N.patch:
    - Don't crash if drmModeGetResources returns NULL  (LP: #1767956)
  * d/p/window-wayland-Always-update-monitor-for-non-user-ops.patch:
    - Always update monitor in wayland, avoiding crash (LP: #1784398)
  * d/p/monitor-manager-Filter-out-low-screen-resolutions.patch:

