=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: mutter
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools (>= 1.15),
               libgtk-3-dev (>= 3.19.8),
               libglib2.0-dev (>= 2.53.2),
               libcanberra-gtk3-dev,
               gobject-introspection (>= 1.41.3),
               gsettings-desktop-schemas-dev (>= 3.21.4),
               libgirepository1.0-dev (>= 0.9.12),
               libjson-glib-dev (>= 0.13.2-1~),
               libgbm-dev (>= 17.1),
               libpango1.0-dev (>= 1.2.0),
               libcairo2-dev (>= 1.10.0),
               libcogl-dev,
               libgl1-mesa-dev (>= 7.1~rc3-1~),
               libdrm-dev (>= 2.4.83) [!hurd-any],
               libegl1-mesa-dev (>= 17),
               libgnome-desktop-3-dev (>= 3.27.90),
               libgudev-1.0-dev (>= 232) [linux-any],
               libinput-dev [linux-any],
               libstartup-notification0-dev (>= 0.7),
               libsystemd-dev (>= 212) [linux-any],
               libupower-glib-dev (>= 0.99.0),
               libwacom-dev (>= 0.13) [linux-any],
               libxcb-randr0-dev,
               libxcb-res0-dev,
               libxcomposite-dev (>= 1:0.2),
               libxi-dev (>= 2:1.6.0),
               libxkbfile-dev,
               libxkbcommon-x11-dev,
               libxkbcommon-dev (>= 0.4.3),
               libx11-xcb-dev,
               libxfixes-dev,
               libxdamage-dev,
               libxcursor-dev,
               libxt-dev,
               libx11-dev,
               libxinerama-dev,
               libxext-dev,
               libxrandr-dev,
               libxrender-dev,
               libsm-dev,
               libice-dev,
               libpam0g-dev,
               libwayland-dev (>= 1.13.0) [linux-any],
               wayland-protocols (>= 1.12) [linux-any],
               xkb-data,
               xvfb <!nocheck>,
               xauth <!nocheck>,
               zenity
Rules-Requires-Root: no
Standards-Version: 4.1.5
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter -b ubuntu/bionic

Package: mutter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mutter-common (>= ${source:Version}),
         gnome-settings-daemon,
         gsettings-desktop-schemas (>= 3.21.4),
         zenity
Provides: x-window-manager
Suggests: gnome-control-center (>= 1:3.25.2),
          xdg-user-dirs
Description: lightweight GTK+ window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the core binaries.

Package: libmutter-2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas (>= 3.15.92),
         mutter-common (>= ${source:Version})
Breaks: gnome-control-center (<< 1:3.25.2),
        budgie-desktop (<< 10.4+git20171031.10.g9f71bb8-1.2ubuntu1.2~)
Description: window manager library from the Mutter window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the window manager shared library, used by mutter
 itself, and gnome-shell.

Package: mutter-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: shared files for the Mutter window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the shared files.

Package: libmutter-2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libmutter-2-0 (= ${binary:Version}),
         gir1.2-mutter-2 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         libgtk-3-dev,
         libcairo2-dev,
         libglib2.0-dev,
         libatk1.0-dev,
         libpango1.0-dev,
         libjson-glib-dev,
         libegl1-mesa-dev,
         libwayland-dev,
         libdrm-dev,
         libgbm-dev,
         libinput-dev (>= 1.4),
         libudev-dev,
         libx11-dev,
         libxext-dev,
         libxdamage-dev,
         libxcomposite-dev,
         libxi-dev,
         libgdk-pixbuf2.0-dev,
         libxfixes-dev,
         libxrandr-dev,
         libx11-dev
Conflicts: libmutter-0-dev, libmutter-1-dev
Description: Development files for the Mutter window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the development files.

Package: gir1.2-mutter-2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libmutter-2-0 (= ${binary:Version})
Breaks: gnome-shell (<< 3.13.92~)
Description: GObject introspection data for Mutter
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.
