=== debian/control ===
--- 
+++ 
@@ -60,10 +60,10 @@
                zenity
 Rules-Requires-Root: no
 Standards-Version: 4.1.5
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter -b ubuntu/bionic
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/bionic
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/bionic
 
 Package: mutter
 Architecture: any
