## mutter 3.30.1

=== debian/changelog ===
mutter (3.30.1-1) unstable; urgency=medium

  * New upstream release (LP: #1796772)
  * Drop cherry-picked patches applied in new release
  * debian/libmutter-3-0.symbols: Add new symbols
  * Don't run the build tests on mips & mipsel since they fail
    and time out too much.
  * Drop skip-failing-tests.patch:
    - These tests seem to run ok except on mips and mipsel

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 20:24:51 -0400

mutter (3.30.0-6) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Update to upstream git master branch at commit 3.30.0-28-g95649fd2b.
    According to upstream, all of this should be in 3.30.1.
    - In particular this fixes a crash when combining a touchscreen
      and graphics tablet (Closes: #910370, #908153, LP: #1788483)
  * d/libmutter-3-0.symbols:
    - Ignore removal of private function meta_input_device_is_trackball()
    - Add meta_region_scale_double()

  [ Jeremy Bicha ]
  * Modify debian/skip-failing-tests.patch:
    - Go back to skipping the actor-shader-effect-test since it's flaky
    (LP: #1795556)

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Oct 2018 07:53:09 +0100

mutter (3.30.0-5) unstable; urgency=medium

  * Restore debian/skip-failing-tests-325.patch:
    - The test still fails on mips

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 02 Oct 2018 20:51:51 -0400

mutter (3.30.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Try again to put all the changes since 3.30.0-2 in their correct
    debian/changelog entries

  [ Jeremy Bicha ]
  * Drop 2 patches that no longer seem needed:
    - debian/skip-failing-tests.patch
    - debian/skip-failing-tests-325.patch
  * Use "xvfb-run -a" instead of just xvfb-run for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 29 Sep 2018 12:03:42 -0400

mutter (3.30.0-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Add debian/skip-texture-test.patch:
    - Skip the texture test since it fails on several architectures
  * Don't ignore build test failures
  * Update debian/gbp.conf

  [ Laurent Bigonville ]
  * debian/rules: Enable gles2 support (Closes: #883307)
    - Use gles2 by default on armel and armhf
  * debian/control.in: Drop libcogl-dev build-dependency now that we
    are using an embedded version of it

  [ Simon McVittie ]
  * d/p/window-unmanage-dialog-when-clearing-transient_for.patch,
    d/p/actor-Fix-logic-error-in-determining-terminal-effect-for-.patch,
    d/p/actor-Always-use-get_paint_volume-override-for-active-eff.patch,
    d/p/actor-Also-recompute-paint-volume-if-we-recently-dropped-.patch,
    d/p/compositor-Skip-windows-not-visible-to-the-compositor.patch,
    d/p/wayland-No-xdg-output-events-without-a-logical-monitor.patch:
    Cherry-pick the same changes from upstream git master that have been
    applied to the upstream gnome-3-28 branch
    - In particular the last of those patches should fix a crash
      on gnome-shell startup (Closes: #909243)

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Sep 2018 10:48:08 +0100

mutter (3.30.0-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Build with remote desktop support except on Ubuntu.
    Note that this feature requires gnome-remote-desktop to be installed (not
    available in Debian yet).
    Ubuntu will need pipewire to be promoted to main to enable this.

  [ Laurent Bigonville ]
  * Only enable the remote desktop feature on linux architectures
  * debian/libmutter-3-0.symbols: Add the newly exported symbols for the
    remote desktop feature

 -- Laurent Bigonville <bigon@debian.org>  Wed, 26 Sep 2018 08:34:14 +0200

mutter (3.30.0-1) unstable; urgency=medium

  [ Didier Roche ]
  * New upstream release:
    - Updated translations

  [ Iain Lane ]
  * Merge experimental branch back into master and update references to it
    accordingly. This upload is going to unstable.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 05 Sep 2018 11:30:26 +0100

mutter (3.29.92-1) experimental; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * New upstream development release
    - Fix a crash when drmModeGetResources() fails, for example when
      using Wayland on Nvidia hardware (Closes: #900002)
  * Rebase patch series
  * d/p/renderer-native-Check-calculated-transform-when-creating-.patch:
    - dropped as applied upstream

  [ Simon McVittie ]
  * Standards-Version: 4.2.1 (no changes required)
  * Update debian/libmutter-3-0.symbols

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Aug 2018 08:45:01 +0100

mutter (3.29.91-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
  * Update wayland-protocols build-dependency to 1.16
  * d/copyright: Update
  * Rebase patch series
  * d/*.install: Sort file lists (wrap-and-sort -a)
  * Normalize package lists with wrap-and-sort -a
  * d/control: Normalize package stanza order with wrap-and-sort -abk
  * Standards-Version: 4.2.0 (no changes required)
  * d/libmutter-3-0.symbols: Update
  * d/rules: Tell dh_shlibdeps about our private libraries

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Aug 2018 21:17:31 +0100

mutter (3.29.90-2) experimental; urgency=medium

  * Team upload
  * Build-depend on GLib 2.57.2 for the new approach to overriding
    GSettings per desktop
  * d/p/clutter-actor-Inherit-clone-branch-depth-from-parent.patch,
    d/p/Updated-Slovenian-translation.patch,
    d/p/Updated-Slovenian-translation-1.patch:
    Update to upstream 3.29.90-3-ga87c447b7
  * d/p/renderer-native-Check-calculated-transform-when-creating-.patch:
    Apply proposed patch to fix a regression with rotated screens
    (Closes: #905363)
  * d/gbp.conf: Don't number patches

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Aug 2018 16:32:49 +0100

mutter (3.29.90-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Don't try to use an invalid monitor mode to figure out scaling
      (LP: #1723615)
  * d/p/window-wayland-Always-update-monitor-for-non-user-ops.patch,

