=== debian/rules ===
--- 
+++ 
@@ -23,22 +23,36 @@
 	--disable-native-backend
 endif
 
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
+CONFFLAGS += \
+	--with-default-driver=gles2
+else
+CONFFLAGS += \
+	--with-default-driver=gl
+endif
+
+# pipewire is not in Ubuntu main yet
+ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	CONFFLAGS += --enable-remote-desktop
+endif
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libexecdir="\$${prefix}/lib/mutter" \
 		--enable-startup-notification \
 		--enable-compile-warnings \
+		--disable-cogl-gles2 \
+		--enable-gles2 \
+		--with-gles2-libname=libGLESv2.so.2 \
 		$(CONFFLAGS)
 
-# See https://bugs.debian.org/874077
-# Ignore test failures on Debian and on s390x
+# Don't run the tests on mips since they either time out or fail too much,
+# blocking migration to testing
 override_dh_auto_test:
-ifneq (,$(findstring $(DEB_HOST_ARCH),"s390x"))
-	-xvfb-run dh_auto_test
-else ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
-	xvfb-run dh_auto_test
-else
-	-xvfb-run dh_auto_test
+ifeq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
+	xvfb-run -a dh_auto_test
 endif
 
 override_dh_install:
@@ -52,8 +66,10 @@
 	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/mutter
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V'libmutter-2-0 (>= 3.27.91)'
+	dh_makeshlibs -V
+
+override_dh_shlibdeps:
+	dh_shlibdeps -Llibmutter-3-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/mutter
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='mutter-dbg (<< 3.18.3-2~)'
-
