=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                gtk-doc-tools (>= 1.15),
                libcairo2-dev (>= 1.10.0),
                libcanberra-gtk3-dev,
-               libdrm-dev (>= 2.4.83) [!hurd-any],
-               libegl1-mesa-dev (>= 17),
-               libgbm-dev (>= 17.1),
+               libdrm-dev (>= 2.4.83) [linux-any],
+               libegl1-mesa-dev (>= 17) [linux-any],
+               libgbm-dev (>= 17.1) [linux-any],
                libgirepository1.0-dev (>= 0.9.12),
                libgl1-mesa-dev (>= 7.1~rc3-1~),
                libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
@@ -58,13 +58,13 @@
                xvfb <!nocheck>,
                zenity
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/buster
 Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
 
 Package: mutter
 Architecture: any
-Depends: gnome-settings-daemon,
+Depends: gnome-settings-daemon-common,
          gsettings-desktop-schemas (>= 3.21.4),
          mutter-common (>= ${source:Version}),
          zenity,
