=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
 	dh $@ --with gir,gnome
@@ -48,10 +48,15 @@
 		--with-gles2-libname=libGLESv2.so.2 \
 		$(CONFFLAGS)
 
+# Ignore test failures on hurd & kfreebsd. Although the test results
+# indicate there may be a serious issue, the port maintainers may
+# prefer we do the build anyway. I plan to file a bug for this later.
 # Don't run the tests on mips since they either time out or fail too much,
 # blocking migration to testing
 override_dh_auto_test:
-ifeq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
+ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64,$(DEB_HOST_ARCH)))
+	-xvfb-run -a dh_auto_test
+else ifeq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
 	xvfb-run -a dh_auto_test
 endif
